Subject: Re: bug#62823: 29.0.60; Fixing a small leak in tree-sitter search functions

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Apr 2023 09:45:47 +0300

> From: Yuan Fu <[email-masked]>
> Date: Thu, 13 Apr 2023 15:48:43 -0700
> 
> When we switch to using cursors instead of nodes [1] in treesit.c for
> search functions, we introduced a small leak: the search functions
> allows the user to pass a predicate function, which can signal. And
> because we are now using cursors, which needs to be freed, everytime the
> predicate function signals, the cursor is leaked.
> 
> I pushed a fix to master (a5eb9f6ad4e), the change is relatively
> straightforward so I hope we can pick it into the next pretest.

Thanks, but this kind of bugs should be fixed on the release branch to
begin with (I've backported it now).  If you are unsure on which
branch to install such changes, please ask before installing.